## mauikit-imagetools 4.0.2

=== debian/changelog ===
mauikit-imagetools (4.0.2-0zneon+24.04+noble+release+build9) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Thu, 09 Oct 2025 11:52:04 +0000

mauikit-imagetools (4.0.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 30 May 2025 07:29:17 +0000

mauikit-imagetools (4.0.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Dec 2024 07:29:10 +0000

mauikit-imagetools (4.0.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 25 May 2023 07:29:05 +0000

mauikit-imagetools (3.1.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 25 Feb 2024 07:29:08 +0000

mauikit-imagetools (3.0.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 02 Dec 2023 07:29:07 +0000

mauikit-imagetools (3.0.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 25 May 2023 07:29:05 +0000

mauikit-imagetools (2.2.2) unstable; urgency=medium

  * Initial release

 -- Jonathan Riddell <jr@jriddell.org>  Tue, 04 May 2020 19:57:31 +0000

## mauikit-imagetools 4.0.2+p24.04+vstable+git20250903.0105

=== debian/changelog ===
mauikit-imagetools (4.0.2+p24.04+vstable+git20250903.0105-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 03 Sep 2025 01:05:47 +0000

## mauikit-imagetools 4.0.2+p24.04+vstable+git20250930.0511

=== debian/changelog ===
mauikit-imagetools (4.0.2+p24.04+vstable+git20250930.0511-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 30 Sep 2025 05:11:51 +0000

## mauikit-imagetools 4.0.2+p24.04+vstable+git20251013.2233

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: 2020 Carl Schwan <carl@carlschwan.eu>
#
# SPDX-License-Identifier: BSD-2-Clause

cmake_minimum_required(VERSION 3.16)

set(QT_MAJOR_VERSION 6)
set(REQUIRED_QT_VERSION 6.4)

set(KF_MAJOR_VERSION 6)
set(REQUIRED_KF_VERSION 5.240.0)

set(MAUI_MAJOR_VERSION 4)
set(MAUIKIT_VERSION 4.0.2)

set(CMAKE_CXX_STANDARD 11)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

set(CMAKE_INCLUDE_CURRENT_DIR ON)

set(AUTOMOC_MOC_OPTIONS -Muri=org.mauikit.imagetools)

project(ImageTools LANGUAGES CXX VERSION ${MAUIKIT_VERSION})

find_package(ECM ${REQUIRED_KF_VERSION} NO_MODULE)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})

include(GenerateExportHeader)
include(GNUInstallDirs)
include(FeatureSummary)
include(CMakePackageConfigHelpers)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings)
include(KDEClangFormat)

include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMQmlModule)
include(ECMFindQmlModule)
include(ECMSourceVersionControl)

find_package(Qt${QT_MAJOR_VERSION} ${REQUIRED_QT_VERSION} REQUIRED COMPONENTS Core Quick Qml Sql Gui Positioning)
# find_package(exiv2 CONFIG REQUIRED)
# # exiv2 0.28.1 moved exiv2lib into the Exiv2 namespace:
# if(TARGET Exiv2::exiv2lib)
#     set(EXIV2_LIBRARIES Exiv2::exiv2lib)
# else()
#     set(EXIV2_LIBRARIES exiv2lib)
# endif()

#find_package(ImageMagick)

find_package(KF${KF_MAJOR_VERSION} ${REQUIRED_KF_VERSION} REQUIRED COMPONENTS I18n CoreAddons)
find_package(KExiv2Qt6 REQUIRED)
find_package(MauiKit${MAUI_MAJOR_VERSION} REQUIRED)

if(${ECM_SOURCE_UNDER_VERSION_CONTROL})
    execute_process(
        COMMAND git rev-parse --abbrev-ref HEAD
        WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
        OUTPUT_VARIABLE GIT_BRANCH
        OUTPUT_STRIP_TRAILING_WHITESPACE)

    # Get the latest abbreviated commit hash of the working branch
    execute_process(
        COMMAND git log -1 --format=%h
        WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
        OUTPUT_VARIABLE GIT_COMMIT_HASH
        OUTPUT_STRIP_TRAILING_WHITESPACE)

    add_definitions(-DGIT_COMMIT_HASH="${GIT_COMMIT_HASH}")
    add_definitions(-DGIT_BRANCH="${GIT_BRANCH}")
else()
    add_definitions(-DGIT_COMMIT_HASH="${PROJECT_VERSION}")
    add_definitions(-DGIT_BRANCH="Stable")
endif()

if (QT_KNOWN_POLICY_QTP0004)
    qt_policy(SET QTP0004 NEW)
endif()

set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/MauiKitImageTools${MAUI_MAJOR_VERSION}")

ecm_setup_version(${PROJECT_VERSION}
    VARIABLE_PREFIX ImageTools
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/imagetools_version.h"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/MauiKitImageTools${MAUI_MAJOR_VERSION}ConfigVersion.cmake"
    SOVERSION ${PROJECT_VERSION_MAJOR})

configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/MauiKitImageToolsConfig.cmake.in.${QT_MAJOR_VERSION}"
    "${CMAKE_CURRENT_BINARY_DIR}/MauiKitImageTools${MAUI_MAJOR_VERSION}Config.cmake"
    INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR}
    PATH_VARS CMAKE_INSTALL_PREFIX)

install(FILES
    "${CMAKE_CURRENT_BINARY_DIR}/MauiKitImageTools${MAUI_MAJOR_VERSION}ConfigVersion.cmake"
    "${CMAKE_CURRENT_BINARY_DIR}/MauiKitImageTools${MAUI_MAJOR_VERSION}Config.cmake"
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    COMPONENT Devel)

install(EXPORT MauiKitImageTools${MAUI_MAJOR_VERSION}Targets
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    FILE MauiKitImageTools${MAUI_MAJOR_VERSION}Targets.cmake
    NAMESPACE MauiKit${MAUI_MAJOR_VERSION}::)


install(FILES "${CMAKE_CURRENT_BINARY_DIR}/imagetools_version.h"
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/MauiKit${MAUI_MAJOR_VERSION}/FileBrowsing
    COMPONENT Devel)

kde_enable_exceptions()

add_definitions(-DTRANSLATION_DOMAIN="mauikitimagetools")
ki18n_install(po)

add_subdirectory(src)

file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/code/modules/image2text/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

project(Image2Text VERSION 1.0.0 LANGUAGES CXX)

set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_CXX_STANDARD 17)

set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${ECM_MODULE_PATH})

find_package(Tesseract 4 REQUIRED)
find_package(Leptonica REQUIRED)

if (LEPTONICA_FOUND AND TESSERACT_FOUND)
   set(OCR_AVAILABLE 1)
   set(CMAKE_CXX_FLAGS "-fopenmp")
else()
   message(STATUS "Skanpage will be built without OCR as libraries are missing.")
endif()

find_package(Qt${QT_MAJOR_VERSION} ${REQUIRED_QT_VERSION} CONFIG REQUIRED Core Gui Quick Concurrent)

find_package(KF${KF_MAJOR_VERSION} ${REQUIRED_KF_VERSION} REQUIRED COMPONENTS CoreAddons I18n)

add_subdirectory(src)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/code/modules/opencv/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

project(OpenCVLib VERSION 1.0.0 LANGUAGES CXX)

set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_CXX_STANDARD 17)

set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${ECM_MODULE_PATH})

find_package(OpenCV REQUIRED)

find_package(Qt${QT_MAJOR_VERSION} ${REQUIRED_QT_VERSION} REQUIRED COMPONENTS Core)

add_subdirectory(code)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/code/modules/editor/src/CMakeLists.txt ===

# add_library(MauiKitImageToolsEditor${MAUI_MAJOR_VERSION})
ecm_add_qml_module(MauiKitImageToolsEditor${MAUI_MAJOR_VERSION}
    VERSION 1.0
    URI "org.mauikit.imagetools.editor"
    GENERATE_PLUGIN_SOURCE
    DEPENDENCIES
    "org.mauikit.controls")

target_sources(MauiKitImageToolsEditor4
  PRIVATE
    commands/transformcommand.h commands/transformcommand.cpp
)

ecm_target_qml_sources(MauiKitImageToolsEditor${MAUI_MAJOR_VERSION} SOURCES
    controls/ImageEditor.qml)


ecm_target_qml_sources(MauiKitImageToolsEditor${MAUI_MAJOR_VERSION} PATH private SOURCES
    controls/private/ColourBar.qml
    controls/private/Ruler.qml
    controls/private/TransformationBar.qml

    controls/BasicResizeHandle.qml
    controls/SelectionTool.qml
    controls/SelectionHandle.qml
    controls/SelectionBackground.qml
    controls/CropBackground.qml
    controls/RectangleCutout.qml)

target_sources(MauiKitImageToolsEditor${MAUI_MAJOR_VERSION}
    PRIVATE
    imageitem.cpp
    imageitem.h

    imagedocument.cpp
    imagedocument.h

    commands/command.cpp
    commands/transformcommand.cpp
    commands/cropcommand.cpp
    commands/mirrorcommand.cpp
    commands/resizecommand.cpp
    commands/rotatecommand.cpp)

# target_sources(MauiKitImageToolsEditor${MAUI_MAJOR_VERSION})plugin PRIVATE
# imageitem.cpp
# imageitem.h
#  imagedocument.cpp
# imagedocument.h)

set_target_properties(MauiKitImageToolsEditor${MAUI_MAJOR_VERSION} PROPERTIES
    VERSION ${PROJECT_VERSION}
    SOVERSION ${PROJECT_VERSION_MAJOR}
    EXPORT_NAME "ImageToolsEditor")

target_link_libraries(MauiKitImageToolsEditor${MAUI_MAJOR_VERSION}
    PRIVATE
    OpenCVLib
    Qt6::Quick
    Qt6::Core)

# install(FILES
#     ${headers}
#     ${CMAKE_CURRENT_BINARY_DIR}/imagetools_export.h
#     DESTINATION ${KDE_INSTALL_INCLUDEDIR}/MauiKit${MAUI_MAJOR_VERSION}/ImageTools
#     COMPONENT Devel)

ecm_finalize_qml_module(MauiKitImageToolsEditor${MAUI_MAJOR_VERSION} EXPORT MauiKitImageTools${MAUI_MAJOR_VERSION}Targets)
install(TARGETS MauiKitImageToolsEditor${MAUI_MAJOR_VERSION} EXPORT MauiKitImageTools${MAUI_MAJOR_VERSION}Targets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

=== src/code/modules/opencv/code/CMakeLists.txt ===
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fPIC")

set(srcs
    preprocessimage.cpp
    mycroplayer.cpp
    cvmatandqimage.cpp
    convertimage.hpp)

add_library (OpenCVLib STATIC)

target_sources(OpenCVLib PRIVATE ${srcs})

include_directories( ${OpenCV_INCLUDE_DIRS})

# target_include_directories(OpenCVLib INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR}/OpenCVLib>")

target_include_directories(OpenCVLib PUBLIC "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR};${CMAKE_CURRENT_BINARY_DIR};>")

#add_executable( DisplayImage DisplayImage.cpp )
target_link_libraries( OpenCVLib
    PUBLIC
    ${OpenCV_LIBS}

    PRIVATE
    Qt${QT_MAJOR_VERSION}::Core
    Qt${QT_MAJOR_VERSION}::Gui)

generate_export_header(OpenCVLib BASE_NAME OpenCVLib)

=== debian/changelog ===
mauikit-imagetools (4.0.2+p24.04+vstable+git20251013.2233-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 13 Oct 2025 22:33:30 +0000

=== debian/control ===
Source: mauikit-imagetools
Section: kde
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kcoreaddons-dev,
               kf6-ki18n-dev,
               kquickimageeditor-dev,
               libexiv2-dev,
               libkexiv2-dev,
               libleptonica-dev,
               libopencv-dev,
               libtesseract-dev,
               mauikit-dev,
               mauiman-dev,
               ninja-build,
               qt6-5compat-dev,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-positioning-dev
Standards-Version: 4.6.2
Homepage: https://mauikit.org/
Vcs-Git: https://invent.kde.org/neon/neon-packaging/mauikit-imagetools.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/mauikit-imagetools
Maintainer: Neon CI <neon@kde.org>

Package: qml6-module-org-mauikit-imagetools
Architecture: any
Depends: libmauikit,
         libmauikitimagetools4,
         qml6-module-org-kde-kirigami2,
         qml6-module-org-kde-kquickimageeditor,
         qml6-module-org-maui-mauikit,
         qml6-module-qt-labs-qmlmodels,
         qml6-module-qt-labs-settings,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-shapes,
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: qml-module-org-mauikit-imagetools (<< 4.0.0)
Replaces: qml-module-org-mauikit-imagetools (<< 4.0.0)
Description: MauiKit Image Tools Components
 This package contains the mauikit image tools qml module.

Package: libmauikitimagetools4
Architecture: any
Depends: qml6-module-org-mauikit-imagetools, ${misc:Depends}, ${shlibs:Depends}
Breaks: libmauikitimagetools3 (<< 4.0.0)
Replaces: libmauikitimagetools3 (<< 4.0.0)
Description: MauiKit Image Tools Components
 This package contains the mauikit image tools library.

Package: libmauikitimagetools-dev
Architecture: any
Depends: libmauikitimagetools4 (= ${binary:Version}),
         qt6-base-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Description: MauiKit Image Tools Components
 This package contains mauikit image tools development files.

Package: libmauikitimagetools3
Architecture: all
Depends: libmauikitimagetools4, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qml-module-org-mauikit-imagetools
Architecture: all
Depends: qml6-module-org-mauikit-imagetools, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

=== debian/rules ===
#!/usr/bin/make -f

export QT_SELECT=qt6

%:
	dh $@ --buildsystem=cmake

override_dh_auto_configure:
	dh_auto_configure -- \
	-DBUILD_WITH_QT6=ON

## mauikit-imagetools 4.0.2+p24.04+vstable+git20251016.0748

=== debian/changelog ===
mauikit-imagetools (4.0.2+p24.04+vstable+git20251016.0748-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 16 Oct 2025 07:48:48 +0000

## mauikit-imagetools 4.0.2+p24.04+vstable+git20260107.0803

=== debian/changelog ===
mauikit-imagetools (4.0.2+p24.04+vstable+git20260107.0803-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 07 Jan 2026 08:03:41 +0000

## mauikit-imagetools 4.0.2+p24.04+vstable+git20260122.0545

=== debian/changelog ===
mauikit-imagetools (4.0.2+p24.04+vstable+git20260122.0545-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 22 Jan 2026 05:45:53 +0000

## mauikit-imagetools 4.0.2+p24.04+vstable+git20260130.0946

=== debian/changelog ===
mauikit-imagetools (4.0.2+p24.04+vstable+git20260130.0946-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 30 Jan 2026 09:46:47 +0000

## mauikit-imagetools 4.0.2+p24.04+vunstable+git20251123.1833

=== debian/changelog ===
mauikit-imagetools (4.0.2+p24.04+vunstable+git20251123.1833-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 23 Nov 2025 18:34:08 +0000

## mauikit-imagetools 4.0.2+p24.04+vunstable+git20260130.1252

=== debian/changelog ===
mauikit-imagetools (4.0.2+p24.04+vunstable+git20260130.1252-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 30 Jan 2026 12:53:01 +0000

## mauikit-imagetools 4.0.2+p24.04+vunstable+git20260205.0804

=== debian/changelog ===
mauikit-imagetools (4.0.2+p24.04+vunstable+git20260205.0804-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 05 Feb 2026 08:05:01 +0000
